<div class="row justify-content-center mt-4">

  <div class="col-lg-8">

    <form *ngIf="obj" #objForm=ngForm (ngSubmit)="save()" class="mb-0">

      <div class="form-row">
        <div class="form-group col-md-12">
          <label for="question" class="control-label">Question</label>
          <textarea [(ngModel)]="obj.question" name="question" class="form-control form-control-sm" rows="8"></textarea>
          <span class="text-danger" [hidden]="!error.question">{{ error.question }}</span>
        </div>
      </div>
      <div class="form-row justify-content-center">
        <div class="col-md-9 mt-4">

          <div class="card rounded-0">

            <div class="card-header bg-green rounded-0 p-2">

              <strong>Answers</strong>
              <div class="float-right">
                <button (click)="addAnswer()" type="button" class="btn btn-default btn-sm">
                  <small>+1</small>
                </button>
              </div>

            </div>
            <div class="card-body">
              <div *ngIf="error.answers" class="mb-4">
                <span class="text-danger mb-3" [hidden]="!error.answers">{{ error.answers }}</span>
              </div>

              <div class="mb-2 bg-gray" *ngFor="let answer of obj.answers; let i = index">
                <div class="col-md-12 p-0">
                  <button (click)="removeAnswer(answer,i)" type="button" class="btn btn-link btn-sm btn-flat  float-right">
                    <span class="fa fa-times text-red px-1"></span>
                  </button>
                </div>
                <div class="input-group">
                  <div class="col-md-2 pr-md-0 mr-md-0">
                    <label for="answer" class="control-label float-right p-2">Answer {{ i+1 }}</label>
                  </div>
                  <div class="col-md-8">
                    <div class="form-group">
                      <input [(ngModel)]="obj.answers[i].answer" name="answer{{i}}" type="text" class="form-control form-control-sm">
                      <span class="text-danger" [hidden]="!error.answers_arr[i]">{{ error.answers_arr[i] }}</span>
                    </div>
                  </div>
                </div>

                <div class="input-group">
                  <div class="col-md-2 pr-md-0 mr-md-0">
                    <label for="points" class="control-label float-right p-2">Points</label>
                  </div>
                  <div class="col-md-8">
                    <div class="form-group">
                      <input [(ngModel)]="obj.answers[i].points" name="points{{i}}" type="text" class="form-control form-control-sm">
                      <span class="text-danger" [hidden]="!error.points_arr[i]">{{ error.points_arr[i] }}</span>
                    </div>
                  </div>
                </div>

              </div>

            </div>
          </div>
        </div>

      </div>
      <div class="form-row justify-content-center my-4">
        <button type="submit" [disabled]="!objForm.valid" class="btn btn-primary btn-flat btn-sm py-1 small">
          <span class="fa fa-save"></span>
          Save
        </button>
        <button [routerLink]="[(obj.id) ? '../../' :'../']" type="button" class="btn btn-danger btn-flat btn-sm py-1 small">
          <span class="fa fa-times"></span>
          Cancel
        </button>
      </div>

    </form>
  </div>
</div>